> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a department chair

> Create a new department chair assignment



## OpenAPI

````yaml /openapi.json post /api/v1/department_chairs
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/department_chairs:
    post:
      tags:
        - Department Chairs
      summary: Create a department chair
      description: Create a new department chair assignment
      operationId: createDepartmentChair
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/CreateDepartmentChair'
      responses:
        '201':
          description: department chair created
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DepartmentChair'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: validation error
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
      security:
        - bearer_auth: []
components:
  schemas:
    CreateDepartmentChair:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              const: department_chair
              example: department_chair
            attributes:
              type: object
              properties: {}
            relationships:
              type: object
              properties:
                department:
                  type: object
                  properties:
                    data:
                      type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: department
                          example: department
                        id:
                          type: string
                          format: uuid
                  required:
                    - data
                chair:
                  type: object
                  properties:
                    data:
                      type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: profile
                          example: profile
                        id:
                          type: string
                          format: uuid
                  required:
                    - data
          required:
            - type
            - relationships
      required:
        - data
    DepartmentChair:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: department_chair
          example: department_chair
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
        relationships:
          type: object
          properties:
            department:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: department
                      example: department
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            chair:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: profile
                      example: profile
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
    ValidationError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                example: '422'
              title:
                type: string
                example: Validation Error
              detail:
                type: string
                example: Label can't be blank
            required:
              - status
              - title
              - detail
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````